Bug 3086 - xorg-server was updated to 1.14.4 [UPDATE REQUEST]
: xorg-server was updated to 1.14.4 [UPDATE REQUEST]
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Highest blocker
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 12:27 MSK by Alexander Burmashev
Modified: 2013-11-11 10:43 MSK (History)
3 users (show)

See Also:
RPM Package: x11-server
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
Xorg.0.log (72.77 KB, text/x-log)
2013-11-07 11:55 MSK, Postnikov Dmitry
Details
Xorg.0.log.old (60.60 KB, application/octet-stream)
2013-11-07 12:01 MSK, Postnikov Dmitry
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Burmashev 2013-11-06 12:27:55 MSK
xorg-server was updated to 1.14.4
Comment 1 Alexander Burmashev 2013-11-06 12:33:42 MSK
Advisory:
1.14.0
* a bunch of fixes to the touch device
 * a few fixes to the GPU hotplug bits
 * software rendering speedups (due to using the new pixman APIs)
 * elimination of a lot of warning messages (we've still too many)
 * pointer barriers work

There are lots of other fixes too, as always thanks to all who provided
patches, review and comments for this release!

Aaron Plattner (1):
      DPMS: include GPU screens in DPMS code

Dave Airlie (3):
      xfree86/hotplug: cleanup properly if the screen fails to initialise
      xf86: actually set the compat output in the failure case
      randr: cleanup provider properly

Jasper St. Pierre (1):
      xibarriers: Remove accidental use of the comma operator

Jeremy Huddleston Sequoia (3):
      XQuartz: Ensure <dix-config.h> is included in capabilities.c
      os: Ensure <dix-config.h> is included in strndup.c
      XORG_TLS: Pick the first option that works (ie: prefer __thread)

Keith Packard (1):
      Version bumped to 1.14

Peter Hutterer (2):
      os: fix pnprintf OOB buffer read for unterminated length modifiers
      Xi: force dtime to 0 on the first BarrierHit
1.14.1
This release contains the fix for CVE-2013-1940, see here for more
detail: http://lists.x.org/archives/xorg-devel/2013-April/036014.html

In the remainder we have two build fixes, a couple of comment fixes and a
change to the list.h code to inline the xorg_list_init function. Fairly
unintrusive, the lot.

Dave Airlie (1):
      xf86: fix flush input to work with Linux evdev devices.

Peter Hutterer (4):
      xfixes: ifdef PanoramiXFixes* (#62015)
      Xi: add a comment to make a condition a bit clearer
      dix: fix a comment
      xserver 1.14.1

Robert Morell (2):
      configure.ac: Require inputproto 2.3
      list.h: Make xorg_list_init inline

1.14.2

Alan Coopersmith (1):
       Only call xf86platformVTProbe() when it's defined

Matt Dew (2):
       Revert "dix: pre-scale x by the screen:device:resolution ratio"
       Bump rev from  1.14.1.902  to 1.14.2

1.14.3
Keith Packard (1):
       Xi: Allow clients to ask for 2.3 and then 2.2 without failing

Maarten Lankhorst (2):
       Xi: Clamp XIClient maximal version to XIVersion
       test/xi2: fix protocol-xiqueryversion test

Matt Dew (1):
       bump rev number from 1.14.2.901 to 1.14.2.902

Peter Hutterer (4):
       dix: check the xi2mask, not the grab type for touch listeners
       dix: set the valuator mask to ensure XI 1.x events have data
       test: fix XIQueryVersion check for new behaviour
       Revert "test: fix XIQueryVersion check for new behaviour"

1.14.4

Alan Coopersmith (2):
      Avoid use-after-free in dix/dixfonts.c: doImageText()
[CVE-2013-4396]
      Allow disabling XFree86-DGA, DRI, VidModeExtension extensions

Egbert Eich (1):
      DIX/Xi: Pass correct client to CheckDeviceGrabAndHintWindow()

Julien Cristau (3):
      test: include dix-config.h in hashtabletest.c
      xfree86: improve check for posix saved ids
      dix: add missing include for DeleteWindowFromAnySelections

Matt Dew (1):
      Bump version from 1.14.3 to 1.14.3.901.

Peter Hutterer (14):
      test: fix the gcc diagnostics pragma
      dix: check for grab type before checking XI2 mask
      Xi: allow for XIAllowEvent requests larger than XI < 2.2 size
(#68554)
      dix: only allow button and key events to freeze a sync'd pointer
      include: change grabtypes to start at 1
      dix: don't attempt to deliver an event for a different grabtype
      dix: only deliver for the current grab type
      sync: compress two if statements
      sync: always call BracketValues when recalculating upper/lower
brackets
      sync: supply the counter from IdleTimeBlockHandler
      dix: provide accessor methods for the last device event time
      sync: if the idle time was reset, force alarms to trigger (#70476)
      sync: always set the brackets (#59644)
      sync: split updating and triggering a counter up

Additional info:
All x-related packages that required update were also rebuilt & updated, including proprietary drivers.

to test update to new x-server please use this special testing repository
http://abf-downloads.rosalinux.ru/x11_backports_personal/repository/rosa2012.1/x86_64/main/release/
http://abf-downloads.rosalinux.ru/x11_backports_personal/repository/rosa2012.1/i586/main/release/
Comment 2 Postnikov Dmitry 2013-11-06 12:55:29 MSK
Take it back to work for extended testing.
Comment 3 Postnikov Dmitry 2013-11-07 11:55:02 MSK
Created attachment 2186 [details]
Xorg.0.log

*****************************
Extended testing report
****************************
We tested in 6 computers.
Other testers write me that all is well. But i see regression...

1. We have again a bug 2313

This attach with new x11-server
Comment 4 Postnikov Dmitry 2013-11-07 12:01:04 MSK
Created attachment 2187 [details]
Xorg.0.log.old

This attach with OLD x11-server.

2. I checjed all x11perf test. All test on my 2 computers. But... :

a) In ATI HD7770 (drv - radeon) - when all of the tests one processor core has lways been 100% worked.
b) In ATI HD7770 (drv - fglrx) - when all of the tests one processor core has always been 100% worked.
c) In Intel HD4000 - when all of the tests all processor core sometimes were 100% worked.
Comment 5 Andrey Bondrov 2013-11-07 15:53:48 MSK
It's required for Fresh R2.
Comment 6 Vladimir Potapov 2013-11-08 05:54:30 MSK
(In reply to comment #4)
> Created attachment 2187 [details]
> Xorg.0.log.old
> 
> This attach with OLD x11-server.
> 
> 2. I checjed all x11perf test. All test on my 2 computers. But... :
> 
> a) In ATI HD7770 (drv - radeon) - when all of the tests one processor core
> has lways been 100% worked.
> b) In ATI HD7770 (drv - fglrx) - when all of the tests one processor core
> has always been 100% worked.
> c) In Intel HD4000 - when all of the tests all processor core sometimes were
> 100% worked.

This is a regression?
Comment 7 Postnikov Dmitry 2013-11-08 11:39:18 MSK
(In reply to comment #6)
> (In reply to comment #4)
> > Created attachment 2187 [details]
> > Xorg.0.log.old
> > 
> > This attach with OLD x11-server.
> > 
> > 2. I checjed all x11perf test. All test on my 2 computers. But... :
> > 
> > a) In ATI HD7770 (drv - radeon) - when all of the tests one processor core
> > has lways been 100% worked.
> > b) In ATI HD7770 (drv - fglrx) - when all of the tests one processor core
> > has always been 100% worked.
> > c) In Intel HD4000 - when all of the tests all processor core sometimes were
> > 100% worked.
> 
> This is a regression?

On the old x11 and ATI by passing tests load was approximately 95-100%, now is always 100%. I think I should not consider it to regression.
Comment 8 Vladimir Potapov 2013-11-08 11:52:29 MSK
x11-server-1.14.4-2-rosa2012.1
******************* Advisory **************************
xorg-server was updated to 1.14.4
******************* Changelog *************************
1.14.0
* a bunch of fixes to the touch device
 * a few fixes to the GPU hotplug bits
 * software rendering speedups (due to using the new pixman APIs)
 * elimination of a lot of warning messages (we've still too many)
 * pointer barriers work

There are lots of other fixes too, as always thanks to all who provided
patches, review and comments for this release!

Aaron Plattner (1):
      DPMS: include GPU screens in DPMS code

Dave Airlie (3):
      xfree86/hotplug: cleanup properly if the screen fails to initialise
      xf86: actually set the compat output in the failure case
      randr: cleanup provider properly

Jasper St. Pierre (1):
      xibarriers: Remove accidental use of the comma operator

Jeremy Huddleston Sequoia (3):
      XQuartz: Ensure <dix-config.h> is included in capabilities.c
      os: Ensure <dix-config.h> is included in strndup.c
      XORG_TLS: Pick the first option that works (ie: prefer __thread)

Keith Packard (1):
      Version bumped to 1.14

Peter Hutterer (2):
      os: fix pnprintf OOB buffer read for unterminated length modifiers
      Xi: force dtime to 0 on the first BarrierHit
1.14.1
This release contains the fix for CVE-2013-1940, see here for more
detail: http://lists.x.org/archives/xorg-devel/2013-April/036014.html

In the remainder we have two build fixes, a couple of comment fixes and a
change to the list.h code to inline the xorg_list_init function. Fairly
unintrusive, the lot.

Dave Airlie (1):
      xf86: fix flush input to work with Linux evdev devices.

Peter Hutterer (4):
      xfixes: ifdef PanoramiXFixes* (#62015)
      Xi: add a comment to make a condition a bit clearer
      dix: fix a comment
      xserver 1.14.1

Robert Morell (2):
      configure.ac: Require inputproto 2.3
      list.h: Make xorg_list_init inline

1.14.2

Alan Coopersmith (1):
       Only call xf86platformVTProbe() when it's defined

Matt Dew (2):
       Revert "dix: pre-scale x by the screen:device:resolution ratio"
       Bump rev from  1.14.1.902  to 1.14.2

1.14.3
Keith Packard (1):
       Xi: Allow clients to ask for 2.3 and then 2.2 without failing

Maarten Lankhorst (2):
       Xi: Clamp XIClient maximal version to XIVersion
       test/xi2: fix protocol-xiqueryversion test

Matt Dew (1):
       bump rev number from 1.14.2.901 to 1.14.2.902

Peter Hutterer (4):
       dix: check the xi2mask, not the grab type for touch listeners
       dix: set the valuator mask to ensure XI 1.x events have data
       test: fix XIQueryVersion check for new behaviour
       Revert "test: fix XIQueryVersion check for new behaviour"

1.14.4

Alan Coopersmith (2):
      Avoid use-after-free in dix/dixfonts.c: doImageText()
[CVE-2013-4396]
      Allow disabling XFree86-DGA, DRI, VidModeExtension extensions

Egbert Eich (1):
      DIX/Xi: Pass correct client to CheckDeviceGrabAndHintWindow()

Julien Cristau (3):
      test: include dix-config.h in hashtabletest.c
      xfree86: improve check for posix saved ids
      dix: add missing include for DeleteWindowFromAnySelections

Matt Dew (1):
      Bump version from 1.14.3 to 1.14.3.901.

Peter Hutterer (14):
      test: fix the gcc diagnostics pragma
      dix: check for grab type before checking XI2 mask
      Xi: allow for XIAllowEvent requests larger than XI < 2.2 size
(#68554)
      dix: only allow button and key events to freeze a sync'd pointer
      include: change grabtypes to start at 1
      dix: don't attempt to deliver an event for a different grabtype
      dix: only deliver for the current grab type
      sync: compress two if statements
      sync: always call BracketValues when recalculating upper/lower
brackets
      sync: supply the counter from IdleTimeBlockHandler
      dix: provide accessor methods for the last device event time
      sync: if the idle time was reset, force alarms to trigger (#70476)
      sync: always set the brackets (#59644)
      sync: split updating and triggering a counter up

***********************************************************
QA Verified